Bug 251353 - textproc/kibana7: Update to 7.10.0
Summary: textproc/kibana7: Update to 7.10.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL: https://www.elastic.co/guide/en/kiban...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-24 20:56 UTC by Juraj Lutter
Modified: 2020-11-29 16:12 UTC (History)
1 user (show)

See Also:
otis: maintainer-feedback+


Attachments
textproc/kibana7: Update to 7.10.0 (4.70 KB, patch)
2020-11-24 20:56 UTC, Juraj Lutter
otis: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Juraj Lutter freebsd_committer 2020-11-24 20:56:56 UTC
Created attachment 219941 [details]
textproc/kibana7: Update to 7.10.0

Hi,

please find the patch attached.

Kibana 7.10.0

   For detailed information about the 7.10.0 release, review the following
   sections.

  Enhancements

   Alerting

              * Batches the update operations in Task Manager
              * Actions add proxy support
              * Exempt Alerts pre 7.10 from RBAC on their Action execution
                until updated
              * Improves performance of the authorization filter in
                AlertsClient.find by skipping KQL parsing
              * Adds a Test Connector tab in the Connectors list
              * Adds a "Test Connector" button on the Connectors List to make
                discovery of the Test tab easier
              * The high-level search API SearchSource is now available on
                the server
              * Adds Role Based Access-Control to the Alerting & Action
                plugins based on Kibana Feature Controls

   APM

              * Metrics-powered UI
              * Uses platform history
              * Immediately returns terms for unbound queries
              * Implements nest level expand/collapse toggle for each span
                row
              * Removes additional "No data" message and re-ordering charts

              * Uses the outcome field to calculate the transaction error
                rate chart
              * Improves breakdown data gaps
              * UI filters: Change transaction type selector from dropdown to
                radio buttons
              * Language-specific stacktrace formatting
              * Service maps layout enhancements
              * Service inventory redesign
              * Shows accurate metrics for containerized applications
              * Anomaly detection Settings page: Link directly to ML jobs
                management to filter for the select environment
              * Removes max validation for transaction_max_spans
              * Service maps grouped external resource nodes
              * Alerting: Add global option to create all alert types
              * Empty prompt and loading spinner for service map
              * Adds default message to alerts.
              * Persists time range between APM and other apps
              * Sets service map cursors
              * Persists time range across apps

   Dashboard

              * Lens By Value With AttributeService

   Discover

              * Uiactions to navigate to visualize or maps
              * Supports unsigned_long fields

   Ingest Manager

              * Agent bulk actions UI
              * Supports multiple kibana urls
              * Adds upgrade action
              * User experience metrics
              * Uses optional registryProxyUrl setting when contacting
                Registry
              * Upgrades Agents in Fleet
              * Configures Elasticsearch output with YAML in global output
                settings

   Kibana UI

              * Elastic home page redesign
              * Stacked headers and navigational search
              * Kibana Overview Page
              * Adds meta data and highlighting to nav search
              * Creates new "Add Data" tutorials for several newly added
                Filebeat modules

   Lens and visualizations

              * Legend config
              * Stack as percentage
              * Adds styling options for x and y axes on the settings popover

              * Uses index pattern service instead saved object client
              * Lens Originating App Breadcrumb
              * Removes beta labels
              * Filters aggregation
              * Drag dimension to replace
              * Combines histogram/range aggregation for numbers
              * Settings panel redesign and separate settings per y axis

              * Shows field stats for IP fields and scripted fields
              * Adds Lens to Recently Accessed
              * Aligns the y axis position on toolbar and dimension editor on
                horizontal mode
              * Navigate from discover to lens
              * Shows runtime fields in field list and improve performance

              * The search.aggs service in the data plugin is now available
                on the server. Usage is the same as on the client, except
                that a scoped saved objects client must be provided on the
                server in order to retrieve the start contract
              * Drilldowns for TSVB / Vega / Timelion
              * Vega is now GA
              * Uses prefix search in visualize editor's field and
                aggregation select
              * TSVB Mardown now handles the case when a field has
                key_as_string value. Common case is the value is a date
                string (e.x. 2020-08-21T20:36:58.000Z) or a boolean
                stringified value ("true"/"false"). Such a value will be
                first converted into a moment object and formatted with
                dateFormat from Kibana UI settings. If the key_as_string
                value is not recognized by a known format in Moments.js, a
                formatted value from elasticsearch will be returned
              * Adds auto interval to histogram AggConfig

   Logs

              * Log alerts chart previews
              * Adds dataset-specific categorization warnings
              * Log threshold ratio alerts
              * Adds timestamp as a context variable to log threshold alerts


   Machine Learning

              * Adds combined job and datafeed JSON editing
              * Dat frame analytics creation wizard: default destination
                index to job id
              * Adds decision path charts to exploration results table
              * Data frame analytics creation wizard: ensures user can switch
                back to form from JSON editor
              * Adds datafeed query reset button
              * Data frame analytics creation wizard: shows link to results

              * Adds initial file analysis overrides
              * Add ability to pass a group ID filter to job management page

              * Adds memory status to data frame analytics job list
              * Switching to new Elasticsearch client
              * Inference models management
              * Adds indicator if there are stopped partitions in
                categorization job wizard
              * Adds Metadata and Discovery Analysis Jobs to Security
                Integration
              * Adds option to Advanced Settings to set default time range
                filter for anomaly detection jobs
              * Adds machine learning modules for Metrics UI Integration

              * Collapsable sections on data frame analytics job result pages

              * Improves client side error handling
              * Adds geo point combined field to CSV import
              * Adds option to create anomaly detection jobs without starting
                the datafeed
              * Adds feature importance summary charts
              * Default filter of data frame analytics results page by
                defaultIsTraining value in url
              * Replaces use of rest_total_hits_as_int with track_total_hits

              * Adds runtime fields support
              * Adds ml.is_training filter to regression/classification views

              * Data frame analytics creation wizard: replaces select input
                with job type cards with icons
              * Data frame analytics results view: ensures boolean values in
                charts shown without formatting
              * Only adjust the bounds of Single Metric Viewer if annotations
                are visible
              * Data frame analytics creation wizard: ensures job creation
                possible when model memory lower than estimate
              * Expandable sections for classification and regression

   Management

              * Empty index patterns page re-design
              * Adds inspector for VEGA
              * Adds links to "wait for snapshot policy" combobox that
                navigate to the snapshot policy creation wizard, when there
                no policies created yet or the value doesn't match any
                existing policies
              * Adds the possibility to preview the final composite of a
                composable template. The user will be able to see this
                preview from the creation or editing wizard flow, or when
                looking at the details of a composable template
              * Refines the debugging user experience when creating or
                editing an ingest node pipeline in the existing Ingest Node
                Pipelines UI. Once a sample document(s) is provided, the
                pipeline is executed. The UI highlights the status of each
                processor, and shows the user how their sample documents
                change shape at each step in the pipeline
              * The Data Streams tab in Index Management now allows users to
                view additional information for data streams
              * Data tiers for 7.10
              * The mappings editor in the Index Templates UI now supports
                configuring the constant_keyword field type
              * The mappings editor in the Index Templates UI now supports
                configuring the wildcard field type
              * The mappings editor in the Index Templates UI now supports
                configuring the histogram field type. Support for the meta
                parameter was also added to the boolean, binary, completion,
                date, flattened, geo_point, numeric, range,
                search_as_you_type, token_count and text field types
              * Time suffix for duration formatter
              * The ingest node pipeline editor now has the ability to move
                processors into an empty tree
              * The ILM UI now allows attaching a lifecycle policy to both a
                composable index template and a legacy index templatee
              * Adds forcemerge action to hot phase with a rollover enabled

              * Transforms: Extend editing and creation options
              * The mappings editor in the Index Templates UI now supports
                configuring the point field type
              * Adds an option to select a higher compression codec for force
                merge action in ILM
              * The mappings editor in the Index Templates UI now supports
                configuring the version field type
              * Updates transform cloning to include description and new
                fields
              * Optimises keyboard navigation of the ingest processors
                component

   Maps

              * Auto-fits to data bounds
              * Implements save and return from dashboard
              * Adds initial location option that fits to data bounds
              * Adds drilldown support map embeddable
              * Originating App Breadcrumb
              * Adds mvt support for ES doc sources
              * Adds message to empty add tooltip card
              * Introduces geo-threshold alerts
              * Removes alias icon for Lens and Maps
              * Adds deprecated message to tile_map and region_map
                visualizations.
              * Adds super-fine option to grid/cluster layer
              * Enables auto fit to bounds by default

   Metrics

              * Supports percentage format in threshold alerts
              * Uses Notify Every in Alert Preview
              * Gets custom metrics working in inventory alerts with limited
                UI
              * Anomaly Detection setup flow for Metrics
              * Adds inventory view timeline
              * Adds anomalies to timeline
              * Adds ability to override datafeeds and job config for
                partition field
              * Overrides anomaly detection partition field

   Monitoring

              * Fixes the messaging around needing TLS enabled
              * Adds loading page
              * Disk usage alerting
              * Design/UI improvements
              * Alert Telemetry for the Security app
              * Adds new elasticsearch client to telemetry plugin
              * Missing data alert
              * [Telemetry] Display collected security event sample
              * JVM memory usage alert
              * Navigational search UI metrics

   Operations

              * Kibana no longer needs to optimize plugins for use in the
                browser when a plugin is installed. This means the --optimize
                flag is now deprecated and does nothing now. It will be
                removed in 8.0
              * Docker containers now use CentOS 8.2 as the base image,
                upgrading from 7.
              * Docker images now include CJK fonts built in

   Platform

              * Adds support for reading request ID from X-Opaque-Id header

              * Adds Kea.js support to Enterprise Search plugin
              * Adds solution-level side navigation
              * Adds Workplace Search side navigation
              * Adds support for version on create & bulkCreate when
                overwriting a document
              * Monitors the Task Manager Poller and automatically recovers
                from failure
              * Adds a new Enterprise Search overview plugin, which
                introduces and guides users to the App Search and Workplace
                Search plugins
              * The deprecated Dashboard Import API (POST
                /api/kibana/dashboards/import) now accepts filesizes up to
                the savedObjects.maxImportPayloadBytes configuration which is
                10MB by default

   Reporting

              * Reporting configuration settings for time duration values
                allow "time unit" strings to be specified as well as number
                of milliseconds. For byte size values, "byte size" strings
                are allowed as well as number of bytes. See the Reporting
                configuration documentation for more details
              * Reporting/diagnostics
              * Removes the light gray border around the image in PDF reports

              * Increases capture.timeouts.openUrl to 1 minute

   Security

              * Hides management sections based on cluster/index privileges

              * xpack.encryptedSavedObjects.encryptionKey can now be rotated
                without losing access to existing encrypted Saved Objects
                (alerts, actions etc.). Old key(s) can be moved to
                xpack.encryptedSavedObjects.keyRotation.decryptionOnlyKeys to
                be used only to decrypt existing objects while new or updated
                objects will be encrypted using new primary encryption key.
                Administrators can also use dedicated API endpoint
                /api/encrypted_saved_objects/_rotate_key to trigger
                re-encryption of all existing objects with a new primary key
                so that old keys can be safely disposed
              * Groups features for space management
              * Allows passwords to be visible on security screens
              * Groups features for role management
              * Warns users when security is not configured
              * Sharing saved-objects phase 1.5
              * [Detections] Handle conflicts on alert status update
              * Improves the experience when Kibana returns a 403 HTTP status
                code or the user tries to access a page/app they do not have
                access to. In those instances, a new user-friendly error page
                is shown. The user will get the option to go back to the page
                from where they came, or log in as a different user.
                Previously the user would just see a simple JSON document
                containing a short error message without the ability to do
                anything
              * Adds EQL search strategy
              * Fetches related events from the server
              * [Resolver] Requests data from new event api
              * Updates copy styling
              * Excludes cloud alias index from our query

   Uptime

              * Pings Redirects
              * Uses service.name to link from Uptime -> APM where available

              * One click simple monitor down alert
              * Singular alert
              * Creates new path for client side monitoring
              * Adds rum core web vitals
              * Visitors by region map
              * Url search
              * Js errors
              * Synthetics UI
              * OpenTelemetry icons and data telemetry
              * Adds percentile selector
              * Adds core web vitals in obsv homepage
              * Makes uptime ping histogram bar clickable to improve
                filtering
              * Adds type row to monitor detail page
              * Allow add alert Flyout initial values like name, tags

  Bug fixes

   Alerting

              * Overwrites SOs when updating instead of partially updating

              * Reloads the Alerts List when alerts are deleted
              * Fixes alerting_api_integration/security_and_spaces tests
                failing if actions proxy set on for parallel process running
                using commands scripts/functional_tests_server and
                scripts/functional_test_runner
              * Adds validation to display an error when creating index
                action in alert with invalid document.
              * Avoids setting a default dedupKey on PagerDuty
              * Fixes React warnings in Suspense usage during Alert creation

              * Fixes alert add and edit flyout to not close when user clicks
                outside
              * Fixes error in UI in the Edit Flyout for PreConfigured
                Connectors
              * Makes savedObjectId field optional
              * Renames "Built-In Alerts" feature to "Stack Alerts" and
                "Actions" feature to "Actions and Connectors"
              * Fixes sorting of Alert Instance in Details page
              * Fixes migration issue for case specific actions, by extending
                email action migrator checks
              * Fixes docs in trigger alerting UI
              * Populates alert instances view with event log data
              * Displays a banner to users when some alerts have failures,
                added alert statuses column and filters
              * Formalizes alert status and add status fields to alert saved
                object

   APM

              * Uses core.chrome to set window title
              * Chart units don't update when toggling the chart legends

              * Fixes overlapping transaction names
              * Avoids negative offset for error marker on timeline
              * Service Map: Not Defined option doesn't work properly
              * Uses model_plot as a signal for anomaly scores
              * Fixes service maps ML link zoom value
              * Fixes APM header wrapping
              * Catches health status error from ML
              * Hides service if only data is from ML
              * Fixes link to trace
              * Service map handle timeout with messaging
              * Scale transaction rate correctly

   Dashboard

              * Sample data link does not work
              * Stores Expanded Panel Id in URL
              * Fixes embeddable title and description for reporting and
                dashboard tooltip
              * Fixes apps break on unrestorable session state in URL

   Discover

              * Converts legacy sort to be compatible with multi sort
              * Context - Fix bug when document id contains a slash
              * Makes _source field not clickable
              * "View surrounding documents" encodes spaces in filters
              * Should not visualize unknown/conflict type fields

   Ingest Manager

              * Fixes removing ingest pipelines from elasticsearch
              * Installs previous version of package if update fails
              * Agent Policy names are unique
              * Index pattern installation uses requested package version

              * Removes fields from index pattern during package uninstall

              * Allows default packages to be deleted from the default agent
                policy

   Kibana UI

              * Removes duplicate string in search dropdown

   Lens and visualizations

              * Fixes inconsistencies when switching with empty layer
              * Clears out all attribute properties before updating
              * Fixes table sorting bug
              * Fixes rollup related bugs
              * Fixes dimension popover design on mobile
              * Shows meta field data in Lens
              * Improves unclear UI for bucket aggregation grouping order

              * Handles missing fields gracefully
              * Removes Over time suggestions for numeric intervals
              * Do not enable histogram mode for multiple un-stacked bar
                series
              * Don't allow values outside of range for number of top values

              * Fixes empty callout for empty/meta fields accordion
              * Don't debounce visualization settings UI
              * Respects requested sub vis type for xy charts
              * Fixes URL query loss on redirect
              * TSVB Inaccurate Group By
              * Fixes download filename when using split table
              * Disables enableHistogramMode prop when user selects
                non-stacked bar
              * Fixes bug on TopN weird behavior with zero values
              * In some old TSVB visualization saved objects, queries and
                filters can be stored. This is not possible anymore for a
                while and there is no way to edit them besides changing the
                JSON of the saved object, but they were still applied to the
                rendered output. In 7.10, these leftover queries and filters
                will be removed automatically from the saved object. In
                almost all cases, no change is necessary. If a visualization
                contained these local queries and filters deliberately, they
                should be converted to panel filters in the "Panel options"
                of the TSVB interface
              * Horizontal Bar Percentiles Overlapping
              * Fixes panel config updates on history changes
              * Fixes unexpected change in autosizing behavior post upgrade

              * Hides app from search results when the setting is disabled

              * Allows string fields on value count aggregation
              * [Input controls crashes if index pattern is not available

              * Prevents pageload on drilldown in tsvb

   Logs

              * Returns 403s rather than 500s for ML privilege errors
              * Correctly filters for log rate anomaly examples with missing
                dataset
              * Fixes logs permissions for alert management

   Machine Learning

              * Updates broken job config callout error
              * Replaces all use of date_histogram interval with
                fixed_interval
              * Data frame analytics creation wizard: Fixes field loading
                race condition
              * Improves calendar ics file parsing
              * Data frame analytics creation wizard: Resolves clone
                usability issues
              * Fixes jobs so it limit job menu actions for jobs that are
                closing
              * Data frame analytics: Ensures clear error when index pattern
                missing
              * Avoids full page reload for links following CSV import
              * Classification results: Ensures confusion matrix doesn't span
                full width
              * Fixes anomaly detection jobs list load if call to load job
                messages fails
              * Sends secondary auth headers to _explain
              * Fixes job selection flyout
              * Datagrid: Ensures column content with boolean schema is not
                capitalized
              * Fixes Anomaly Explorer charts time range to obey time picker
                range
              * Data frame analytics results: Ensures boolean values in
                confusion matrix are not capitalized
              * Fixes values for decision path not showing correctly for
                regression due to rounding
              * Fixes regression with some links not opening in new tab

              * Fixes callout message for total feature importance
              * Fixes exclude frequent in advanced wizard

   Management

              * Fixes the copy of the success notification that displays
                after creating or saving a watch
              * Data frame analytics / Transforms: Fixes job row actions menu
                invalid DOM nesting warning
              * Transforms: Unset doc title when app unmounts
              * Fixes a bug in Snapshot and Restore when creating a Snapshot
                Lifecycle Management policy, where the form could become
                locked if the user enter an invalid value and navigated to a
                previous step
              * The mappings editor in Index Management now supports
                configuring the positive_score_impact parameter for the
                rank_feature field type
              * Transforms: Fixes styling of preview grid pagination in
                summary step
              * Fixes a bug in the index template wizard, which resulted in
                an incorrect validation error when a user toggles between the
                dynamic templates and advanced settings tabs without
                providing any values
              * Checks for source indexPattern before opening clone wizard

              * Fixes an issue when editing the mappings of an index template
                and selecting the "Other" type
              * Transforms/Data frame analytics: Fixes data grid column
                sorting.
              * Transforms: Fixes tab ids for expanded row.
              * Fixes package upgrade breaking after first rollover before
                new data has arrived

   Maps

              * Fixes swap hidden/show icons in layer action panel
              * Fixes double fetch when filters are modified
              * Fixes read only badge is no longer shown in nav for users
                with read-only permission
              * Fixes Hotlink for EMS-add-data card do not working
              * Removes obsolete link
              * Exposes map title and description to reporting and embeddable
                container
              * Uses default format when proxying EMS-files
              * Fixes refreshing the page causes loss of unsaved change

              * Fixes top-level Map page is called Kibana
              * Fixes auto-refresh not auto fitting to bounds
              * Adds layer type preview icons
              * GeoJSON datasets

   Metrics

              * Fixes inventory footer misalignment
              * Displays No Data context.values as [NO DATA]
              * Fixes a Chrome bug with Inventory View flickering at certain
                sizes

   Monitoring

              * Ensures setup mode works on cloud but only for alerts
              * Fixes cluster link from cluster listing page
              * Only show Opt-In banner when user can change settings
              * Fixes dead links
              * Fixes cluster listing page in how it handles global state

              * Ensures alerting is optional
              * Improves indices loading against larger metricbeat-* indices

              * Adds in cluster version number for sec telemetry sender

              * Fixes sorting of alerts
              * Fixes a couple of issues with the cpu usage alert
              * Fixes alert defaults
              * Ensures some data is returned

   Platform

              * Simplifies buffer tests to reduce flakiness
              * Handles case where buffer receives multiple entities with the
                same ID
              * Time out work when it overruns in poller
              * Fixes a bug that caused some applications to not correctly
                render when a trailing slash was included at the end of their
                URLs
              * Prevents Task Manager from trying to claim invalid tasks

              * Leverages original http request error
              * Supports special characters in ES password

   Querying & Filtering

              * Fixes warning text doesn't get displayed on filters with
                custom filter name

   Reporting

              * Allows any hostname for chromium proxy bypass
              * Fixes an issue with CSV Export where a job could fail if
                clearing the scroll ID failed in Elasticsearch
              * Fixes a bug where the downloading CSV from a saved search in
                a dashboard panel had no file name if the dashboard panels
                were hidden
              * Fixes the reporting exports to use the correct Space for
                advanced settings
              * Fixes a problem in the list of Reports jobs in Management
                would not refresh with the correct items immediately after
                deleting a report from the listing

   Security

              * Displays useful error when role creation fails
              * Previously when user started SAML or OpenID authentication
                handshake, but didn't or couldn't finish it they weren't able
                to access Login Selector easily (e.g. to log in with another
                authentication provider) unless they used /login URL directly
                or manually cleared the session cookies. That was a very
                confusing user experience. The reason was that
                unauthenticated intermediate session that was created to
                support handshake forced Kibana to automatically restart the
                same handshake whenever user accessed Kibana. We fixed that
                and now in certain cases we ignore unauthenticated
                intermediate session allowing user to easily access Login
                Selector whenever they need it
              * Kibana can now properly handle values for
                xpack.security.session.idleTimeout and
                xpack.security.session.lifespan that are larger than ~24 days

              * Properly encodes links to edit user page
              * Fixes display of multiple roles in table views
              * Node list and node detail tests
              * Improves simulator. Add more click-through tests and panel
                tests.
              * [Detections] Refactors signal ancestry to allow multiple
                parents
              * Fixes for the Ticket 78375
              * Resolver Tree Events tests
              * Adds the correct class to truncate the names in Endpoint list

              * [Detections] Fixes remaining render and validation bug with
                query preview + tests
              * New events resolver
              * enable_APM-ci branch fixes

   Sharing

              * Uses App Title for Display Instead of App Id

   Spaces

              * Fixes infinite loading spinner on the spaces selector screen.
                In the case an error occurs while trying to load the spaces
                that the current user has access to, an error message will
                now be shown instead of the loading spinner

   Uptime

              * Ml anomaly alert edit
              * Removes custom handling of license enabling

  Deprecations

   Monitoring

              * "Internal Monitoring" deprecation warning

   Platform

              * The /api/status endpoint response format is now deprecated
                and will change in 8.0.
              * These two config keys have been renamed and the old names
                will no longer work as of 8.0: cpu.cgroup.path.override =>
                ops.cGroupOverrides.cpuPath and cpuacct.cgroup.path.override
                => ops.cGroupOverrides.cpuAcctPath

   Visualizations

              * In 7.0 and later, Timelion app is deprecated. In 8.0 and
                later, Timelion app is removed from Kibana.

                To prepare for the removal of Timelion app, you must migrate
                Timelion app worksheets to a dashboard.

                Only Timelion app is deprecated. Kibana continues to support
                Timelion visualizations in Dashboard, Visualize, and Canvas.

                To migrate a Timelion worksheet to a dashboard:

                  1. Open the main menu, click Dashboard, then click Create
                     dashboard.
                  2. For each Timelion app worksheet, complete the following
                     steps.

                       1. On the dashboard, click Create New, then click
                          Timelion on the New Visualization window.
                       2. Open a new tab, open the Timelion app, select the
                          chart you want to copy, then copy the chart
                          expression.

                          Timelion app chart
                       3. Go to Timelion, paste the chart expression in the
                          Timelion expression field, then click Update.

                          Timelion advanced editor UI
                       4. In the toolbar, click Save.
                       5. On the Save visualization window, enter the
                          visualization Title, then click Save and return.

                          The Timelion visualization panel appears on the
                          dashboard.

                          Final dashboard with saved Timelion app worksheet

  Breaking changes

   Lens and visualizations

              * Deprecates schema-less specs in Vega

   Operations

              * The bin/kibana-plugin CLI has been updated to work with the
                new Kibana Platform plugin format instead of the legacy
                plugin format

   Platform

              * The legacy plugin system and the legacy plugin API have been
                removed. It is no longer possible to use third parties legacy
                Kibana plugins. Legacy plugin owners should migrate their
                plugins to the Kibana Platform plugin API


Testport on 11.4, 12.1, 12.2, 13.0 OK
Comment 1 commit-hook freebsd_committer 2020-11-29 16:11:26 UTC
A commit references this bug:

Author: mikael
Date: Sun Nov 29 16:10:53 UTC 2020
New revision: 556579
URL: https://svnweb.freebsd.org/changeset/ports/556579

Log:
  textproc/kibana7: Update to 7.10.0

  Changes: https://www.elastic.co/guide/en/kibana/7.10/release-notes-7.10.0.html

  PR:		251353
  Submitted by:	Juraj Lutter (maintainer)

Changes:
  head/textproc/kibana7/Makefile
  head/textproc/kibana7/distinfo
  head/textproc/kibana7/files/patch-src_setup__node__env_node__version__validator.js
  head/textproc/kibana7/files/patch-src_setup__node__env_prebuilt__dev__only__entry.js
Comment 2 Mikael Urankar freebsd_committer 2020-11-29 16:12:16 UTC
Thanks!